# Created by pyp2rpm-3.3.5
%define pypi_name nest-asyncio
%define srcname nest_asyncio

Name:           python-%{pypi_name}
Version:        1.6.0
Release:        %mkrel 2
Summary:        Patch asyncio to allow nested event loops
Group:          Development/Python
License:        BSD
URL:            https://github.com/erdewit/nest_asyncio
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
By design asyncio does not allow its event loop to be nested. This presents a
practical problem: When in an environment where the event loop is already
running it is impossible to run tasks and wait for the result. Trying to do
so will give the error "RuntimeError: This event loop is already running". The
issue pops up in various environments, such as web servers, GUI applications
and in Jupyter notebooks. This module patches asyncio to allow nested use
of asyncio.run and loop.run_until_complete.


%package -n     python3-%{pypi_name}
Summary:        Patch asyncio to allow nested event loops
Group:          Development/Python
%{?python_provide:%python_provide python3-%{srcname}}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
By design asyncio does not allow its event loop to be nested. This presents a
practical problem: When in an environment where the event loop is already
running it is impossible to run tasks and wait for the result. Trying to do
so will give the error "RuntimeError: This event loop is already running". The
issue pops up in various environments, such as web servers, GUI applications
and in Jupyter notebooks. This module patches asyncio to allow nested use
of asyncio.run and loop.run_until_complete.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Sat Mar 01 2025 wally <wally> 1.6.0-2.mga10
+ Revision: 2155355
- rebuild for python3.13

* Thu Jan 25 2024 daviddavid <daviddavid> 1.6.0-1.mga10
+ Revision: 2034140
- new version: 1.6.0

* Sat Jan 20 2024 daviddavid <daviddavid> 1.5.9-1.mga10
+ Revision: 2032418
- new version: 1.5.9

* Mon Dec 25 2023 wally <wally> 1.5.8-2.mga10
+ Revision: 2021439
- rebuild for py3.12
- use %%pyproject_buildrequires

* Fri Sep 22 2023 daviddavid <daviddavid> 1.5.8-1.mga10
+ Revision: 1989367
- new version: 1.5.8

* Wed Aug 30 2023 daviddavid <daviddavid> 1.5.7-1.mga10
+ Revision: 1981870
- new version: 1.5.7
- switch to pyproject

* Wed Nov 09 2022 daviddavid <daviddavid> 1.5.6-1.mga9
+ Revision: 1904908
- new version: 1.5.6

* Sun Apr 17 2022 joequant <joequant> 1.5.5-1.mga9
+ Revision: 1850918
- update to 1.5.5

* Wed Mar 23 2022 umeabot <umeabot> 1.5.1-3.mga9
+ Revision: 1823548
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 tv <tv> 1.5.1-2.mga9
+ Revision: 1783531
- Rebuild for python-3.10

* Tue Mar 23 2021 daviddavid <daviddavid> 1.5.1-1.mga9
+ Revision: 1708289
- initial package python-nest-asyncio

